using System;

class Program
{
    
    static void Main()
    {
        var niska1 = Console.ReadLine().Split();
        var niska2 = Console.ReadLine().Split();
        int a = int.Parse(niska1[0]);
        int b = int.Parse(niska1[1]);
        int x = int.Parse(niska2[0]);
        int y = int.Parse(niska2[1]);

        if (x == a && y == b) { Console.WriteLine("nijedan"); }
        else if (x == a && y < b) { Console.WriteLine("drugi"); }
        else if (y == b && x < a) { Console.WriteLine("prvi"); }
        else if (x < a && y < b) { Console.WriteLine("?"); }
    }
}